## webkit 1.10.0

=== debian/changelog ===
webkit (1.10.0-0ubuntu1) quantal-proposed; urgency=low

  [ Sebastian Bacher ]
  * New upstream version (lp: #1011473)
  * debian/control:
    - build-depends on libgudev-1.0-dev and ruby1.9.1
    - updated libsoup requirement
  * debian/libwebkit*.symbols:
    - updated for the new version

  [ Iain Lane ]
  * Replace -g with -gstabs to try and make archives under 4gb
  * Update symbols files to include new C++ symbols
  * debian/rules
    - Pass -Wl,--reduce-memory-overheads again, for arm.
    - Disable the webkit2 build explicitly (the default changed, this is the
      same as we had before).
  * Version make BD so that we get a version with fixed argument length
    limitations.
  * debian/patches/03_a11y_infinite_recursion.patch: Add new upstream patch
    (r129246) to fix an infinite recursion error in
    WebCore::AXObjectCache::getOrCreate.

 -- Iain Lane <iain.lane@canonical.com>  Tue, 02 Oct 2012 11:29:09 +0100

webkit (1.9.2-1ubuntu3) quantal-proposed; urgency=low

  * debian/control: don't recommends universe gstreamer codecs

 -- Sebastien Bacher <seb128@ubuntu.com>  Fri, 20 Jul 2012 18:35:43 +0200

webkit (1.9.2-1ubuntu2) quantal; urgency=low

  * debian/rules: use -Wl,--reduce-memory-overheads as well to see if it 
    helps armel to build without hitting the buildds inactivity timeouts.

 -- Sebastien Bacher <seb128@ubuntu.com>  Thu, 19 Jul 2012 16:44:13 +0200

webkit (1.9.2-1ubuntu1) quantal-proposed; urgency=low

  * New upstream version (lp: #1011473)
  * symbols:
    - updated to fix some mismatches

 -- Sebastien Bacher <seb128@ubuntu.com>  Wed, 18 Jul 2012 10:39:05 +0200

webkit (1.9.2-1) experimental; urgency=low

  * New development release
  * debian/patches/10_kfreebsd_support.patch:
  - removed; applied upstream
  * debian/rules:
  - disable AR_FLAGS space optimization for now, since linking two libtool
    convenience libraries seems to break that
  * debian/*.symbols:
  - updated with symbols of the new version

 -- Gustavo Noronha Silva <kov@debian.org>  Tue, 08 May 2012 12:01:33 -0300
