=== debian/control ===
Source: webkit
Priority: optional
Section: web
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian WebKit Maintainers <pkg-webkit-maintainers@lists.alioth.debian.org>
Uploaders: Mike Hommey <glandium@debian.org>, Gustavo Noronha Silva <kov@debian.org>
Build-Depends: gawk,
               chrpath,
               debhelper (>= 7.0),
# This version of make added the patch to allow longer arguments to the shell,
# which is needed by webkit. Remove when
# https://bugs.webkit.org/show_bug.cgi?id=94435 is fixed.
               make (>= 3.81-8.2ubuntu1~),
               libgtk2.0-dev (>= 2.24.3),
               gir1.2-gtk-2.0,
               libgtk-3-dev,
               gir1.2-gtk-3.0 (>= 3.0.0),
               libpango1.0-dev (>= 1.16),
               libicu-dev,
               libxslt-dev,
               libsoup2.4-dev (>= 2.39.2),
               gir1.2-soup-2.4,
               libsqlite3-dev,
               gperf,
               bison,
               flex,
               libjpeg-dev,
               libpng12-dev,
               libxt-dev,
               autotools-dev,
               libgstreamer-plugins-base0.10-dev,
               libenchant-dev,
               gtk-doc-tools,
               libgail-dev,
               libgail-3-dev,
               libgeoclue-dev,
               gobject-introspection (>= 0.9.12-4),
               libgirepository1.0-dev (>= 0.9.12-4),
               libgl1-mesa-dev,
               libgudev-1.0-dev,
               ruby1.9.1
Build-Conflicts: gir-repository-dev
Standards-Version: 3.9.3
Homepage: http://webkitgtk.org/
Vcs-Browser: http://git.debian.org/?p=pkg-webkit/webkit.git
Vcs-Git: git://git.debian.org/git/pkg-webkit/webkit.git

Package: libjavascriptcoregtk-1.0-0
Section: libs
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends}
Description: Javascript engine library for GTK+
 Javascript Core is the javascript engine used in many ports of
 WebKit. This build comes from WebKitGTK+.

Package: libjavascriptcoregtk-1.0-dev
Section: libdevel
Priority: extra
Architecture: any
Conflicts: libwebkitgtk-dev (<< 1.5.0), libwebkit-dev (<< 1.5.0)
Replaces: libwebkitgtk-dev (<< 1.5.0), libwebkit-dev (<< 1.5.0)
Depends: libjavascriptcoregtk-1.0-0 (= ${binary:Version}),
         gir1.2-javascriptcoregtk-1.0 (= ${binary:Version}),
         ${misc:Depends}
Description: Javascript engine library for GTK+
 Javascript Core is the javascript engine used in many ports of
 WebKit. This build comes from WebKitGTK+.
 .
 Development files.

Package: libjavascriptcoregtk-1.0-0-dbg
Section: debug
Priority: extra
Architecture: any
Depends: libjavascriptcoregtk-1.0-0 (= ${binary:Version}),
         ${misc:Depends}
Description: Javascript engine library for GTK+
 Javascript Core is the javascript engine used in many ports of
 WebKit. This build comes from WebKitGTK+.
 .
 This package provides the debugging symbols for the Javascriptcore
 library for GTK+.

Package: gir1.2-javascriptcoregtk-1.0
Section: introspection
Architecture: any
Depends: ${gir:Depends},
         ${misc:Depends}
Conflicts: gobject-introspection-repository, gir1.0-webkit-1.0, gir1.2-webkit-1.0 (<< 1.5.0)
Replaces: gir1.2-webkit-1.0 (<< 1.5.0)
Description: GObject introspection data for the GTK+-based JavaScriptCore library
 This package contains introspection data for the GTK+-based version of
 JavaScriptCore
 .
 It can be used by packages using the GIRepository format to generate
 dynamic bindings.

Package: libwebkitgtk-1.0-0
Section: libs
Architecture: any
Depends: libjavascriptcoregtk-1.0-0 (= ${binary:Version}),
         ${shlibs:Depends},
         libwebkitgtk-1.0-common (>= ${source:Upstream-Version}),
         ${misc:Depends}
Suggests: gstreamer0.10-plugins-base,
          gstreamer0.10-plugins-good,
          gstreamer0.10-plugins-bad,
          gstreamer0.10-ffmpeg
Breaks: midori (<< 0.4.1-2), claws-mail-fancy-plugin (<< 3.7.10-3)
Description: Web content engine library for GTK+
 WebKit is a web content engine, derived from KHTML and KJS from KDE, and
 used primarily in Apple's Safari browser.  It is made to be embedded in
 other applications, such as mail readers, or web browsers.
 .
 It is able to display content such as HTML, SVG, XML, and others. It also
 supports DOM, XMLHttpRequest, XSLT, CSS, Javascript/ECMAscript and more.
 .
 This is the library for embedding in GTK+ applications.

Package: libwebkit-dev
Section: oldlibs
Priority: extra
Architecture: any
Depends: libwebkitgtk-dev (= ${binary:Version}), ${misc:Depends}
Description: Transitional package for the development files of WebKitGTK+
 This package is transitional and can be safely removed after all
 packages start depending on the new one.

Package: libwebkitgtk-dev
Section: libdevel
Priority: extra
Architecture: any
Depends: libwebkitgtk-1.0-0 (= ${binary:Version}),
         gir1.2-webkit-1.0 (= ${binary:Version}),
         libgtk2.0-dev (>= 2.24.3),
         libsoup2.4-dev (>= 2.37.4),
         libjavascriptcoregtk-1.0-dev (= ${binary:Version}),
         ${misc:Depends}
Conflicts: libwebkit-dev (<< 1.3.0)
Description: Web content engine library for GTK+ - Development files
 WebKit is a web content engine, derived from KHTML and KJS from KDE, and
 used primarily in Apple's Safari browser.  It is made to be embedded in
 other applications, such as mail readers, or web browsers.
 .
 It is able to display content such as HTML, SVG, XML, and others. It also
 supports DOM, XMLHttpRequest, XSLT, CSS, Javascript/ECMAscript and more.
 .
 This package provides development files required to create GTK+ applications
 embedding WebKit.

Package: libwebkitgtk-1.0-common
Section: libs
Priority: optional
Depends: ${misc:Depends}
Architecture: all
Description: Web content engine library for GTK+ - data files
 WebKit is a web content engine, derived from KHTML and KJS from KDE, and
 used primarily in Apple's Safari browser.  It is made to be embedded in
 other applications, such as mail readers, or web browsers.
 .
 It is able to display content such as HTML, SVG, XML, and others. It also
 supports DOM, XMLHttpRequest, XSLT, CSS, Javascript/ECMAscript and more.
 .
 This package provides the data files needed by the library.

Package: libwebkitgtk-1.0-0-dbg
Section: debug
Priority: extra
Architecture: any
Depends: libwebkitgtk-1.0-0 (= ${binary:Version}),
         libjavascriptcoregtk-1.0-0-dbg (= ${binary:Version}),
         ${misc:Depends}
Description: Web content engine library for GTK+ - Debugging symbols
 WebKit is a web content engine, derived from KHTML and KJS from KDE, and
 used primarily in Apple's Safari browser.  It is made to be embedded in
 other applications, such as mail readers, or web browsers.
 .
 It is able to display content such as HTML, SVG, XML, and others. It also
 supports DOM, XMLHttpRequest, XSLT, CSS, Javascript/ECMAscript and more.
 .
 This package provides the debugging symbols for the Webkit library for GTK+.

Package: gir1.2-webkit-1.0
Section: introspection
Architecture: any
Depends: gir1.2-javascriptcoregtk-1.0 (= ${binary:Version}),
         ${gir:Depends},
         ${misc:Depends}
Conflicts: gobject-introspection-repository, gir1.0-webkit-1.0
Description: GObject introspection data for the WebKit library
 This package contains introspection data for WebKit, a web content
 engine for GTK+.
 .
 It can be used by packages using the GIRepository format to generate
 dynamic bindings.

Package: libjavascriptcoregtk-3.0-0
Section: libs
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends}
Description: Javascript engine library for GTK+
 Javascript Core is the javascript engine used in many ports of
 WebKit. This build comes from WebKitGTK+.

Package: libjavascriptcoregtk-3.0-dev
Section: libdevel
Priority: extra
Architecture: any
Conflicts: libwebkitgtk-3.0-dev (<< 1.5.0)
Replaces: libwebkitgtk-3.0-dev (<< 1.5.0)
Depends: libjavascriptcoregtk-3.0-0 (= ${binary:Version}),
         gir1.2-javascriptcoregtk-3.0 (= ${binary:Version}),
         ${misc:Depends}
Description: Javascript engine library for GTK+
 Javascript Core is the javascript engine used in many ports of
 WebKit. This build comes from WebKitGTK+.
 .
 Development files.

Package: libjavascriptcoregtk-3.0-0-dbg
Section: debug
Priority: extra
Architecture: any
Depends: libjavascriptcoregtk-3.0-0 (= ${binary:Version}),
         ${misc:Depends}
Description: Javascript engine library for GTK+
 Javascript Core is the javascript engine used in many ports of
 WebKit. This build comes from WebKitGTK+.
 .
 This package provides the debugging symbols for the Javascriptcore
 library for GTK+.

Package: gir1.2-javascriptcoregtk-3.0
Section: introspection
Architecture: any
Depends: ${gir:Depends},
         ${misc:Depends}
Conflicts: gobject-introspection-repository, gir1.0-webkit-3.0, gir1.2-webkit-3.0 (<< 1.5.0)
Replaces: gir1.2-webkit-3.0 (<< 1.5.0)
Description: GObject introspection data for the GTK+-based JavaScriptCore library
 This package contains introspection data for the GTK+-based version of
 JavaScriptCore
 .
 It can be used by packages using the GIRepository format to generate
 dynamic bindings.

Package: libwebkitgtk-3.0-0
Section: libs
Architecture: any
Depends: libjavascriptcoregtk-3.0-0 (= ${binary:Version}),
         ${shlibs:Depends},
         libwebkitgtk-3.0-common (>= ${source:Upstream-Version}),
         ${misc:Depends}
Suggests: gstreamer0.10-plugins-base,
          gstreamer0.10-plugins-good,
          gstreamer0.10-plugins-bad,
          gstreamer0.10-ffmpeg
Description: Web content engine library for GTK+
 WebKit is a web content engine, derived from KHTML and KJS from KDE, and
 used primarily in Apple's Safari browser.  It is made to be embedded in
 other applications, such as mail readers, or web browsers.
 .
 It is able to display content such as HTML, SVG, XML, and others. It also
 supports DOM, XMLHttpRequest, XSLT, CSS, Javascript/ECMAscript and more.
 .
 This is the library for embedding in GTK+ applications.

Package: libwebkitgtk-3.0-dev
Section: libdevel
Priority: extra
Architecture: any
Depends: libwebkitgtk-3.0-0 (= ${binary:Version}),
         gir1.2-webkit-3.0 (= ${binary:Version}),
         libgtk-3-dev,
         libsoup2.4-dev (>= 2.37.4),
         libjavascriptcoregtk-3.0-dev (= ${binary:Version}),
         ${misc:Depends}
Description: Web content engine library for GTK+ - Development files
 WebKit is a web content engine, derived from KHTML and KJS from KDE, and
 used primarily in Apple's Safari browser.  It is made to be embedded in
 other applications, such as mail readers, or web browsers.
 .
 It is able to display content such as HTML, SVG, XML, and others. It also
 supports DOM, XMLHttpRequest, XSLT, CSS, Javascript/ECMAscript and more.
 .
 This package provides development files required to create GTK+ applications
 embedding WebKit.

Package: libwebkitgtk-3.0-common
Section: libs
Priority: optional
Architecture: all
Depends: ${misc:Depends}
Description: Web content engine library for GTK+ - data files
 WebKit is a web content engine, derived from KHTML and KJS from KDE, and
 used primarily in Apple's Safari browser.  It is made to be embedded in
 other applications, such as mail readers, or web browsers.
 .
 It is able to display content such as HTML, SVG, XML, and others. It also
 supports DOM, XMLHttpRequest, XSLT, CSS, Javascript/ECMAscript and more.
 .
 This package provides the data files needed by the library.

Package: libwebkitgtk-3.0-0-dbg
Section: debug
Priority: extra
Architecture: any
Depends: libwebkitgtk-3.0-0 (= ${binary:Version}),
         libjavascriptcoregtk-3.0-0-dbg (= ${binary:Version}),
         ${misc:Depends}
Description: Web content engine library for GTK+ - Debugging symbols
 WebKit is a web content engine, derived from KHTML and KJS from KDE, and
 used primarily in Apple's Safari browser.  It is made to be embedded in
 other applications, such as mail readers, or web browsers.
 .
