## webkit 1.10.2

=== debian/changelog ===
webkit (1.10.2-0ubuntu2) saucy; urgency=low

  * Add basic AArch64 support, based on
    https://bugs.webkit.org/show_bug.cgi?id=116030 by Andreas Schwab.

 -- Colin Watson <cjwatson@ubuntu.com>  Sat, 12 Oct 2013 20:27:47 +0100

webkit (1.10.2-0ubuntu1) raring; urgency=low

  * New upstream release 1.10.2
    - WebCore has been split in a few more convenience libtool libraries,
      which should fix problems with linking in some architectures and
      with make's command line length limit.
    - WebKit2 introspection files will also be built if introspection is
      enabled.
    - Includes fixes for the following CVEs: CVE-2012-5112, CVE-2012-5133
    - Web audio has been fixed to use a GstBuffer per-channel when looping,
      which sidesteps a race when dealing with the object references. It
      also got improvements to error handling and ease of testing when loading
      resources.
  * debian/watch: Update to work with (new?) upstream URL scheme.
  * Remove -gstabs hack as the library has now been split up which means that
    we don't produce archives over 4G any more.
  * Remove make versioned BD for the same reason.

 -- Iain Lane <iain.lane@canonical.com>  Tue, 11 Dec 2012 09:39:18 +0000

webkit (1.10.1-0ubuntu3) raring; urgency=low

  * Build for gstreamer 1.0 (switch BDs and pass --with-gstreamer=1.0)

 -- Iain Lane <iain.lane@canonical.com>  Thu, 29 Nov 2012 16:29:10 +0000

webkit (1.10.1-0ubuntu2) raring; urgency=low

  * Fix symbol files (stupid size_t). 

 -- Iain Lane <iain.lane@canonical.com>  Fri, 16 Nov 2012 17:25:39 +0000

webkit (1.10.1-0ubuntu1) raring; urgency=low

  * New upstream release 1.10.1
    - Fix an infinite recursive loop in the accessibility code when browsing
      pages with ARIA.
      + Drop debian/patches/03_a11y_infinite_recursion.patch accordingly
    - Fix the MinGW build in the spellchecker.
    - Restore support for Geode processors.
    - Use XDamage to improve accelerated compositing performance.
    - Fix a crash when accelerated compositing is disabled.
    - Fix a bug causing plugins to be invisible.
    - Fix accelerated content visibility issues on ATI drivers.
  * debian/watch: Update to correctly work with the upstream URL scheme.
  * Explicitly BD on libxcomposite-dev and libxdamage-dev. These were pulled
    in implicitly before, but the build system checks for them directly. 
  * Disable JIT (--disable-jit) on armel/armhf, as there is a segfault in this
    code on pages that use javascript (the Ubuntu slideshow for example). (LP:
    #1066046)

 -- Iain Lane <iain.lane@canonical.com>  Wed, 17 Oct 2012 12:44:04 +0100
