=== debian/rules ===
--- 
+++ 
@@ -6,16 +6,13 @@
 DEB_HOST_GNU_TYPE   ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
 DEB_BUILD_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)
 DEB_BUILD_ARCH      ?= $(shell dpkg-architecture -qDEB_BUILD_ARCH)
+DEB_HOST_ARCH      ?= $(shell dpkg-architecture -qDEB_HOST_ARCH)
 DEB_HOST_ARCH_BITS  ?= $(shell dpkg-architecture -qDEB_HOST_ARCH_BITS)
 
 GTK_VERSIONS = 2.0 3.0
 
 CFLAGS = $(shell dpkg-buildflags --get CFLAGS)
 CFLAGS += -Wall -Wl,--as-needed
-# With -g, we produce ar archives over 4GB, which isn't supported by binutils.
-# Use -gstabs to bring this down. The real fix is to split the library up:
-# https://bugs.webkit.org/show_bug.cgi?id=94435 — remove when this is done.
-CFLAGS := $(CFLAGS:-g=-gstabs)
 LDFLAGS = $(shell dpkg-buildflags --get LDFLAGS)
 CPPFLAGS = $(shell dpkg-buildflags --get CPPFLAGS)
 
@@ -35,6 +32,12 @@
 
 ifneq (,$(findstring $(DEB_BUILD_ARCH),mips mipsel s390 s390x))
 	CFLAGS := $(CFLAGS:-g=)
+endif
+
+# There's a segfault bug in the Javascript JIT code on armel/hf. See LP:
+# #1066046 or https://bugs.webkit.org/show_bug.cgi?id=85076
+ifneq (,$(findstring $(DEB_HOST_ARCH),armel armhf))
+	JIT = --disable-jit
 endif
 
 # FIXME: parallel builds are currently not 100% working, so disable
@@ -91,9 +94,11 @@
 			--host=$(DEB_HOST_GNU_TYPE) \
 			--build=$(DEB_BUILD_GNU_TYPE) \
 			--with-gtk=$${version} \
+			--with-gstreamer=1.0 \
 			--disable-webkit2 \
 			--enable-gtk-doc \
 			--enable-introspection \
+			$(JIT) \
 			--enable-geolocation; \
 		cd ..; \
 	done
